Subject: WWW from Dept Ag & Res Econ U of Arizona

From: Russell Gum <[email-masked]>
Date: 9 Dec 1994 02:26:48 GMT

The Department of Agricultural and Resource Economics at the 
University of Arizona now has a WWW server on the information
highway. It has crop budgets, a ranchers' management guide, access
to information from the Livestock Marketing Information Center in 
Denver and general information about the department. Check it out.
The URL is http://ag.arizona.edu/AREC/arechome.html.